Gtk2::IconInfo(3p)

NAME
Gtk2::IconInfo

HIERARCHY
  Glib::Boxed
  +----Gtk2::IconInfo

METHODS

  list = $icon_info->get_attach_points
    Returns the attach points as an interleaved list of x and y coordinates.

  integer = $icon_info->get_base_size

  pixbuf or undef = $icon_info->get_builtin_pixbuf

  string = $icon_info->get_display_name

  rectangle = $icon_info->get_embedded_rect

  string = $icon_info->get_filename

  pixbuf or undef = $icon_info->load_icon
    May croak with a Glib::Error in $@ on failure.

  $icon_info->set_raw_coordinates ($raw_coordinates)

    •   $raw_coordinates (boolean)

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.